1. Payments (Payouts)
Fintainium APIs
  • Overview
  • Quick Start
  • Use Cases
  • Recipies
    • Connect with Vendor
    • Pay a Vendor
  • API Reference
    • AP Payouts (Accounts Payable)
      • Vendor (Recipient)
        • Create new vendor
        • Update Vendor
        • View Vendor Details
      • Payments (Payouts)
        • Initiate Payment
          POST
        • Add Payment Method
          POST
      • Bills
        • Create new Bill
      • Country State City
        • GET City List by State Name/ID/Code
    • AR Collection (Accounts Receivable)
      • Invoices
        • Create new Invoice
      • Customers
        • Create new customer
      • Payment (Collection)
        • Initiate Payment
        • Add Payment Method
    • Simplified Payouts
      • Send Payouts
    • Transactions
      • Retrieve Transaction Status
    • Webhooks
      • Register for an Event
      • Get Webhook Registration Status
    • Sub-Ledger
      • Retrieve Balance
  1. Payments (Payouts)

Add Payment Method

POST
https://staginggateway.fintainium.com/gateway/payment/paymentMethod
Collecting Payments from Customers: The API can be used to collect customer payments for invoices generated by a Fintainium business. Businesses can process payments efficiently by specifying the transaction type as "collection" and providing payment details such as credit/debit card information or ACH details.
Making Payments to Vendors: Businesses can use the API to make payments to vendors for services rendered or goods received. By specifying the transaction type as "deposit" and providing payment details such as vendor account information and payment method, businesses can facilitate timely payments to vendors.
Field NameRequiredField Specs (Data Type + Field Length)Description
businessIdRequiredString (20)Static business id of Client, this can be dynamic for future use cases
internalIdRequiredString (20)Internal ID would be the internal id of the customer or vendor. Internal ID refers to the unique identifier assigned to either the customer whose invoice is due or the vendor whose bill needs to be paid
TypeRequiredJSON Object (collection, deposit)The transaction type should be specified based on its purpose. If the transaction involves collecting payment for an invoice from a customer, the type should be set to 'Collection'. If it involves making a payment for a bill to a vendor, the type should be set to 'Deposit'
paymentMethodRequiredJSON Object (ach, card, rapidpay, check, paymentMethodId)If type is “Collection” then the paymentMethod can be ACH or Card. If type is “Deposit” the paymentMethod can be ACH or Rapid Pay or Check.
accountNumberRequired, if paymentMethod is ACHString (20)The bank account number associated with the ACH payment.
routingNumberRequired, if paymentMethod is ACHString (20)The routing number of the bank associated with the ACH payment.
accountNameRequired, if paymentMethod is ACHString (100)The name of the account holder as it appears on the bank account.
accountTypeRequired, if paymentMethod is ACHString (40)The name type of the account. It can be Business/Personal – Checking/Personal – Savings)
cardNumberRequired, if paymentMode is Rapid PayString (16)The card number of Fintainium Rapid Pay card, typically a string of 16 digits.
monthYearRequired, if paymentMode is Rapid PayDate MM/YYThe expiration date of the card Fintainium Rapid Pay, in the format MM/YY
cvvOptionalString (3)The card verification value, a security needed to set during creation of Fintainium Rapid Pay card or AR Credit card. Typically, a string of 3 digits.
nameOnCardRequired, if paymentMode is Rapid PayString (100)The name of the cardholder as it should on the Fintainium Rapid Pay card.
zipCodeRequiredString (20)Postal code of the account / card
printNameRequired, if paymentMode is CheckString (100)Name of the individual or entity to whom a check is made payable

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Successful card payment method
application/json
Bodyapplication/json

🟢200Successful ACH payment method
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://staginggateway.fintainium.com/gateway/payment/paymentMethod' \
--header 'sessionKey: z4FEVD7d2SVGG0B8QF1rXUTMqzUDncOT' \
--header 'Content-Type: application/json' \
--data '{
    "businessId": "34567890",
    "internalId": "1235678",
    "type": {
    "collection": {
        "paymentMethod": {
            "card": {
                "cardNumber": "1234898567786754",
                "monthYear": "12/25",
                "cvv": "123",
                "nameOnCard": "John Doe",
                "zipCode": "56789"
            },
            "ach": {
                "accountNumber": "123456789",
                "routingNumber": "987654321",
                "accountName": "John Doe",
                "accountType": "Business"
            }
        }
    },
    "deposit": {
        "paymentMethod": {
            "rapidPay": {
                "cardNumber": "1234567812345678",
                "monthYear": "12/25",
                "cvv": "123",
                "nameOnCard": "John Doe"
            },
            "ach": {
                "accountNumber": "123456789",
                "routingNumber": "987654321",
                "accountName": "John Doe",
                "accountType": "Business"
            },
            "check": {
                "printName": "John Doe"
            }
        }
    }
}
}'
Response Response Example
200 - Successful card payment method - Successful card payment method
{
    "statusCode": 200,
    "actionCode": "00",
    "message": "Payment method saved successfully",
    "failedCount": 0,
    "failedMessageList": [],
    "successCount": 1,
    "type": "collection",
    "businessId": "4305551",
    "internalId": "123456",
    "paymentMethodId": 347,
    "name": "",
    "accountName": "",
    "nameOnCard": "John Doe",
    "printName": "",
    "status": true,
    "isTempCard": false,
    "isDefault": false,
    "archive": false,
    "transmissionDateTime": "2024-12-17 12:35:49"
}
Modified at 2025-09-05 17:40:55
Previous
Initiate Payment
Next
Create new Bill
Built with